#include <vdr/plugin.h>

static const char *VERSION        = "1.2.0";
static const char *DESCRIPTION    = trNOOP("A channel sorter");
//static const char *MAINMENUENTRY  = trNOOP("Sort Channels");

extern int SortMode[5];
extern bool AutoSort;
extern bool Reverse;
extern bool DeleteInvalid;
extern int FixedOffset[2];
extern bool AutoGroup;
extern bool AdvancedConfig;

class cPluginChannelSort : public cPlugin {
private:
  // Add any member variables or functions you may need here.
public:
  cPluginChannelSort(void);
  virtual ~cPluginChannelSort();
  virtual const char *Version(void) { return VERSION; }
  virtual const char *Description(void) { return tr(DESCRIPTION); }
  virtual const char *CommandLineHelp(void);
  virtual bool ProcessArgs(int argc, char *argv[]);
  virtual bool Start(void);
  virtual void Housekeeping(void);
  //virtual const char *MainMenuEntry(void) { return tr(MAINMENUENTRY); }
  //virtual cOsdObject *MainMenuAction(void);
  virtual cMenuSetupPage *SetupMenu(void);
  virtual bool SetupParse(const char *Name, const char *Value);
  virtual const char **SVDRPHelpPages(void);
  virtual cString SVDRPCommand(const char *Command, const char *Option, int &ReplyCode);
};
